import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/api-webex';

import { _MODULE_CONFIG } from './config/token';

import { ConferenceService } from './services/conference.service';

const SERVICES = [ConferenceService];

@NgModule({})
export class WebexApiRootModule {}

@NgModule({})
export class WebexApiModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<WebexApiRootModule> {
    return {
      ngModule: WebexApiRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
