import { Selector, createSelector } from '@ngrx/store';

import { LoginInfo } from '@ucap/domain-authentication';

export interface State {
  loginInfo: LoginInfo | null;
}

export const initialState: State = {
  loginInfo: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    loginInfo: createSelector(selector, (state: State) => state.loginInfo)
  };
}
