/*
 * Public API Surface of store-chat
 */

import * as CommonActions from './lib/store/common/actions';
import * as RoomActions from './lib/store/room/actions';
import * as ChattingActions from './lib/store/chatting/actions';

export * from './lib/config/module-config';

export { CommonActions, RoomActions, ChattingActions };

export * from './lib/utils/chat.util';
export * from './lib/store/state';
export { Chatting } from './lib/store/chatting/state';
export { RoomUserMap, RoomUserShortMap } from './lib/store/room/state';

export * from './lib/chat-store.module';
