import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { ChatUiModule } from '../chat-ui.module';

import { FileListComponent } from './file-list.component';

export default {
  title: 'ui-chat::FileListComponent',
  component: FileListComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, ChatUiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: FileListComponent,
  props: {}
});
