import { moduleMetadata } from '@storybook/angular';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { ChatItemListComponent } from './item-list.component';

export default {
  title: 'ui-chat::ChatItemListComponent',
  component: ChatItemListComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: ChatItemListComponent,
  props: {}
});
