import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { UiModule } from '../ui.module';

import { FileUploadQueueComponent } from './file-upload-queue.component';

export default {
  title: 'ui::FileUploadQueueComponent',
  component: FileUploadQueueComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, UiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: FileUploadQueueComponent,
  props: {}
});
