import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { UiModule } from '../../ui.module';

import { ImageViewerComponent } from './image-viewer.component';

export default {
  title: 'ui::ImageViewerComponent',
  component: ImageViewerComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, UiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: ImageViewerComponent,
  props: {}
});
