/*
 * Public API Surface of ui/viewer
 */

export * from './lib/config/module-config';
export * from './lib/config/token';

export * from './lib/components/file-viewer/binary-viewer.component';
export * from './lib/components/file-viewer/document-viewer.component';
export * from './lib/components/file-viewer/image-viewer.component';
export * from './lib/components/file-viewer/sound-viewer.component';
export * from './lib/components/file-viewer/video-viewer.component';

export * from './lib/components/file-viewer.component';
export * from './lib/components/media-viewer.component';

export * from './lib/models/select-file-info';
export * from './lib/types/file-viewer.type';

export * from './lib/ui-viewer.module';
