import { Injectable, Inject } from '@angular/core';

import {
  ModuleConfig,
  WebSocketService as UCAPWebSocketService
} from '@ucap/web-socket';

import { LogService } from '@ucap/ng-logger';

import { _MODULE_CONFIG } from '../config/token';

@Injectable({
  providedIn: 'root'
})
export class WebSocketService extends UCAPWebSocketService {
  constructor(
    @Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig,
    logService: LogService
  ) {
    super(moduleConfig, logService);
  }
}
