import { Injectable, OnDestroy, Inject } from '@angular/core';

import { ModuleConfig, I18nService as UCAPI18nService } from '@ucap/i18n';

import { _MODULE_CONFIG } from '../config/token';

@Injectable()
export class I18nService extends UCAPI18nService implements OnDestroy {
  constructor(@Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig) {
    super(moduleConfig);
  }

  ngOnDestroy(): void {
    this.destroy();
  }
}
