import { combineReducers, Action } from '@ngrx/store';

import { reducer as CommonReducer } from './common/reducers';
import { reducer as CallReducer } from './call/reducers';

export function reducers(state: any | undefined, action: Action) {
  return combineReducers({
    common: CommonReducer,
    call: CallReducer
  })(state, action);
}
