import { createReducer, on } from '@ngrx/store';

import { deptSuccess, myDeptUserSuccess } from './actions';
import { initialState } from './state';

export const reducer = createReducer(
  initialState,

  on(deptSuccess, (state, action) => {
    return {
      ...state,
      departmentInfoList: action.departmentInfoList
    };
  }),

  on(myDeptUserSuccess, (state, action) => {
    return {
      ...state,
      myDepartmentUserInfoList: action.userInfos
    };
  })
);
