import { Type } from '@angular/core';

import { Effects as CommonEffects } from './common/effects';
import { Effects as CompanyEffects } from './company/effects';
import { Effects as DepartmentEffects } from './department/effects';
import { Effects as PresenceEffects } from './presence/effects';
import { Effects as UserEffects } from './user/effects';

export const effects: Type<any>[] = [
  CommonEffects,
  CompanyEffects,
  DepartmentEffects,
  PresenceEffects,
  UserEffects
];
