import { combineReducers, Action } from '@ngrx/store';

import { reducer as CommonReducer } from './common/reducers';
import { reducer as CompanyReducer } from './company/reducers';
import { reducer as DepartmentReducer } from './department/reducers';
import { reducer as PresenceReducer } from './presence/reducers';
import { reducer as UserReducer } from './user/reducers';

export function reducers(state: any | undefined, action: Action) {
  return combineReducers({
    common: CommonReducer,
    company: CompanyReducer,
    department: DepartmentReducer,
    presence: PresenceReducer,
    user: UserReducer
  })(state, action);
}
