/*
 * Public API Surface of store-organization
 */

import * as CommonActions from './lib/store/common/actions';
import * as CompanyActions from './lib/store/company/actions';
import * as DepartmentActions from './lib/store/department/actions';
import * as PresenceActions from './lib/store/presence/actions';
import * as UserActions from './lib/store/user/actions';

export * from './lib/config/module-config';

export {
  CommonActions,
  CompanyActions,
  DepartmentActions,
  PresenceActions,
  UserActions
};

export * from './lib/store/state';

export * from './lib/organization-store.module';
