import {
  Component,
  OnInit,
  Input,
  ChangeDetectionStrategy
} from '@angular/core';

import { Info, EventJson } from '@ucap/domain-chat';

@Component({
  selector: 'ucap-chat-message-box-date-splitter',
  templateUrl: './date-splitter.component.html',
  styleUrls: ['./date-splitter.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class DateSplitterComponent implements OnInit {
  @Input()
  message: Info<EventJson>;

  constructor() {}

  ngOnInit() {}
}
